using System;
using UnityEngine;

public class BGMPlayer : MonoBehaviour
{
    public AudioSource[] audioSource; //オーディオ情報の格納

    void Start()
    {
        audioSource = this.transform.GetComponents<AudioSource>();
    }

    public void SetAudioPitch(float pitch)
    {
        for (int i = 0; i < audioSource.Length; i++)
            audioSource[i].pitch = pitch;
    }

    public void Play(int num)
    {
        if (!audioSource[num].isPlaying) audioSource[num].Play();
    }

    public void Stop(int num)
    {
        if (audioSource[num].isPlaying) audioSource[num].Stop();
    }

    /// <summary>
    /// 音量を変更する
    /// </summary>
    /// <param name="volume">音量</param>
    public void SetAudioVolume(float volume)
    {
        // TODO: 音量操作の実装
        for (int i = 0; i < audioSource.Length; i++)
            audioSource[i].volume = volume;
    }
}
